<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta name="viewport"
    content="width=device-width, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0, user-scalable=0" />
  <link rel="stylesheet" href="https://res.wx.qq.com/t/wx_fed/weui-source/res/2.5.4/weui.min.css" />
  <script src="/static/js/public/reset.js"></script>
  <link href="/static/180087/css/main.css?v=4" rel="stylesheet" />
  <title>吉林康庄大道农业发展有限公司</title>
</head>

<body>
  <div class="weui-tab">
    <div class="weui-tab__panel">
      <div class="top-bg">
        <img src="/static/180087/img/icon.png" class="icon" />
        <!-- 防伪png -->
        <img src="/static/180087/img/防伪查询.png" id="title-img" class="title-img type-anti" />
        <!-- 溯源png -->
        <!-- <img src="/static/180087/img/溯源信息.png" class="title-img type-suyuan" style="visibility: hidden" /> -->
        <!-- <img src="/static/180087/img/gs.png" class="title-img type-qiye" style="visibility: hidden" /> -->

        <!-- 防伪内容盒子 -->
        <div id="fw" class="anti-content-box type-anti page" style="display: block">
          <!-- 防伪 三维码 -->
          <div class="anti-code-img">
            <img id="labelImg" src="" />
          </div>
          <!-- 介绍描述 -->
          <div class="described">
            请认真核对实物标签上的烫金三维码是否与上图一致，相符则为正品，否则谨防假冒!
          </div>
          <!-- 防伪查询信息 -->
          <div class="checkinfo">
            <p>首查时间：<span id="firstTime"></span></p>
            <p>已查次数：<span id="queryNum"></span>次</p>
          </div>
          <!-- 防伪查询结果 -->
          <div class="checkresult" style="display: none">
            <p>该产品为</p>
            <b>吉林康庄大道农业发展有限公司</b>
            <p>正品标识，请放心使用!</p>
          </div>
          <!--防伪底部按钮 -->
          <div class="btns" style="margin-top: 1rem;">
            <div id="aidiv">
              <wx-open-launch-weapp id="launch-btn"
                style="display: block; width: 13rem; border-radius: 1.8rem;overflow: hidden;">
                <script type="text/wxtag-template">
                  <style>
                      .btn {
                        width: 100%; 
                        line-height: 2.5;
                        text-align: center;
                        font-size: 16px;
                        background-color: #259362;
                        color: #fff;
                      }
                  </style>
                  <div class="btn">AI识别</div>
                </script>
              </wx-open-launch-weapp>
              <!-- <div class="btn" style="width: 13rem;">AI识别</div> -->
            </div>
            <!-- <div class="btn" onclick="showSyPage();">返回溯源</div> -->
            <div id="hb_btns">
              <div id="record" class="btn">中奖记录</div>
              <div id="rules" class="btn">活动规则</div>
            </div>
          </div>
        </div>

        <!-- 溯源内容盒子 -->
        <div id="sycx" class="suyuan-content-box type-suyuan page" style="display: none">
          <div class="card-box">
            <div style="display: none"><span>品种名称 :</span><span id="pzmc"></span></div>
            <div style="display: none"><span>销售区域 :</span><span id="xsqy"></span></div>
            <div style="display: none"><span>收货单位 :</span><span id="shdw"></span></div>
            <div>
              国审玉20220140
            </div>
          </div>
          <div class="card-box" style="font-size: .75rem;">
            <div><span>生产经营许可证号 :</span><span id="pl">B（吉）农种许字（2019）第0134号</span></div>
            <div><span>公司名称 :</span><span>吉林康庄大道农业发展有限公司</span></div>
            <div><span>地&emsp;&emsp;址 :</span><span>吉林省白城市洮南市车力乡立业村</span></div>
          </div>

          <!-- 溯源页面按钮 -->
          <!-- <div class="suyuan-btn">
            <div class="btn" onclick="showFwPage();">防伪查询</div>
          </div> -->
        </div>

        <div id="qyjs" class="qiye-content-box type-qiye page" style="display: none">
          <div class="card-box">
            <p>
              吉林康庄大道农业发展有限公司位于吉林省唯一的国家级玉米制种基地——洮南市，公司于2014年4月成立，注册资本3000万元人民币。公司常年组织生产、销售优质杂交玉米种子1200多万公斤，年销售收入1.5亿元。公司是吉林省农业产业化重点龙头企业、“专精特新”企业、“腾飞类”拟上市企业。
            </p>
            <p>
              公司采取自主研发与合作育种相结合的方式，围绕“品质优良、高产抗逆、环境友好、机收籽粒”的育种目标，不断推出创新性、竞争性的玉米新品种。公司与多家国内外研发实力雄厚的科研单位建立了“资源技术共享、平台设备共用、成果开发互惠”的深层次科研合作关系，形成种质资源创新、新品种选育、新品种推广于一体的商业化育种体系。公司目前以“宏育808、金昊198、绥玉58”三个核心品种的市场推广为重点，2024年有6个玉米新品种即将通过国家审定，16个玉米新组合正在参加国家玉米区试，品种覆盖1900－2800℃的不同生态区域，形成“销售一代、研发一代、储备一代”的品种格局。
            </p>
            <p>
              公司积极参与国家级玉米制种基地“县企共建”，秉承“精益求精&ensp;追求卓越”的质量理念，建立了全程可追溯的种子质量控制体系。公司自有种子加工园区120亩，办公室、加工厂、仓库面积5961㎡。通过国家制种大县奖补资金，建成三条1200吨玉米种子鲜果穗烘干线，成为东华北地区玉米种子鲜果穗烘干加工规模最大的种子企业。
            </p>
            <p>
              公司大力实施“人才和品牌”战略，秉持“专业&ensp;真诚&ensp;服务”的经营理念，通过创新和资本驱动，实行模式和产业升级，推广“海陆空立体”营销模式，聚合种业精英人才。公司通过优势品种、优质产品、优秀团队、优良服务，为客户提供全方位的财富方案！和广大客户同频共振、行稳致远，为民族种业发展、国家粮食安全作出应有的贡献！
            </p>
            <div id="container" style="text-indent: 0;"></div>
            <!-- <img src="/static/180087/img/198.jpg" style="width: 100%;margin-top: .7rem;">
            <img src="/static/180087/img/501.jpg" style="width: 100%;">
            <img src="/static/180087/img/768.jpg" style="width: 100%;">
            <img src="/static/180087/img/808.jpg" style="width: 100%;"> -->
          </div>
          <div class="card-box">
            <img src="/static/180087/img/808.jpg" style="width: 100%;">
            <h1>宏育808高产栽培技术要点</h1>
            <p>良种配良法，管理夺高产。根据“宏育808”玉米品种的特征特性，结合不同种植区域、不同地力条件、不同栽培模式，因地制宜的进行科学栽培管理。</p>
            <img src="/static/180087/img/tb.png?v=2" style="width: 100%;margin: 1rem 0;">
            <p style="text-indent: 0;text-align: center;">温馨提示</p>
            <p>1、在7－9月份风灾高发区，建议玉米8－10片叶时采取化控技术，防止植株徒长造成的风险。</p>
            <p>2、在玉米进入大喇叭口期、籽粒灌浆期各喷施一遍先正达“扬彩”和植物营养液做植保防护，提高抗性，提升品质，增加产量。</p>
            <p>3、提倡“宽窄行水肥一体化”模式种植，播种后24小时之内浇水，确保一次播种保全苗。</p>
            <p style="margin-bottom: 1rem;">4、技术服务电话：0431-87988808。</p>
          </div>
        </div>
      </div>
    </div>

    <div id="hb_popup">
      <div class="popup_content">
        <div id="award_page" class="hb_page">
          <img id="award_img"
            src="https://davis.china315net.com/media/%E5%90%89%E6%9E%97%E5%BA%B7%E5%BA%84%E5%A4%A7%E9%81%93%E5%86%9C%E4%B8%9A%E5%8F%91%E5%B1%95%E6%9C%89%E9%99%90%E5%85%AC%E5%8F%B8/award/0.88.png"
            style="width: 100%;">
          <div id="gethb"></div>
        </div>
        <div id="get_page" class="hb_page" style="width: 85%;margin: auto;">
          <img src="/static/180087/img/hb/b1.png" style="width: 100%;margin-bottom: 1rem;">
          <div class="content">
            <h1 style="font-size: 1.4rem;">恭喜领取成功 !</h1>
            <p style="margin-bottom: 1.5rem;color: #000;font-size: .6rem;">请留意“微信支付”消息通知，红包金额会直接转入零钱</p>
            <div id="know">我知道啦</div>
          </div>
        </div>
        <div id="rules_page" class="hb_page" style="width: 85%;margin: 0 auto 1rem;">
          <img src="/static/180087/img/hb/b2.png" style="width: 100%;">
          <div class="content">
            <div style="width: 100%;height: 100%;overflow: scroll;">
              <h1 style="margin-bottom: .5rem;">购种扫码 红包见喜</h1>
              <p>活动对象：</p>
              <p>所有购买活动产品的消费者</p>
              <p>奖项设置： （综合中奖率99.99%）</p>
              <p>壹等奖：1.88元微信现金红包壹个</p>
              <p>贰等奖：1.28元微信现金红包壹个</p>
              <p>叁等奖：0.88元微信现金红包壹个</p>
              <p>
                中奖率说明：由于无法预计参与抽奖活动的用户总人数，所以中奖概率并不是一个确定的数值，详见以下的抽奖计算方式，当前抽奖公式为：剩余奖品总数/（剩余活动天数×平均每天参与者），其中“平均每天参与者”＝目前参加抽奖的人数之和/活动天数。
              </p>
              <p>活动规则：</p>
              <p>1、活动时间：2024年12月1日至2025年1月30日，扫码中奖活动期限为60天有效。</p>
              <p>2、通过微信扫一扫，扫描对应标签，进入入活动页面，根据提示操作进行兑奖；</p>
              <p>3、每个二维码仅有一次扫码兑奖机会，扫码立得现金红包；</p>
              <p>4、扫码参与视为消费者同意将个人信息（包括但不限于微信昵称、电话号码等）用于通知中奖等必要用途；</p>
              <p style="margin-bottom: 1rem;">5、本促销活动中如遇其它产品或服务问题，可拨打主办方康庄大道农业发展有限公司服务热线：*****进行咨询。</p>
            </div>
          </div>
        </div>
        <div id="record_page" class="hb_page" style="width: 85%;margin: auto;">
          <img src="/static/180087/img/hb/b2.png" style="width: 100%;margin-bottom: 1rem;">
          <div class="content">
            <h1 style="margin: 1rem;">我的奖品</h1>
            <div id="record_list">
              <div class="record_item">
                <div class="item_name"></div>
                <div class="item_time"></div>
                <div class="item_btn"></div>
                <div class="hr"></div>
              </div>
            </div>
          </div>
        </div>
        <div id="back">
          <img src="/static/180087/img/hb/close.png" style="width: 100%;">
        </div>
      </div>
    </div>

    <div class="weui-tabbar">
      <div id="cx" class="weui-tabbar__item weui-bar__item_on">
        <div class="weui-tabbar__icon">
          <img src="/static/180087/img/cx.png" class="none" />
          <img src="/static/180087/img/cx1.png" class="on" />
        </div>
        <!-- <p class="weui-tabbar__label">防伪查询</p> -->
      </div>
      <div id="qy" class="weui-tabbar__item">
        <div class="weui-tabbar__icon">
          <img src="/static/180087/img/qy.png" class="none" />
          <img src="/static/180087/img/qy1.png" class="on" />
        </div>
        <!-- <p class="weui-tabbar__label">企业介绍</p> -->
      </div>
      <div id="sy" class="weui-tabbar__item">
        <div class="weui-tabbar__icon">
          <img src="/static/180087/img/sy.png" class="none" />
          <img src="/static/180087/img/sy1.png" class="on" />
        </div>
        <!-- <p class="weui-tabbar__label">产品介绍</p> -->
      </div>
    </div>
  </div>
</body>
<script type="text/javascript" src="https://res2.wx.qq.com/open/js/jweixin-1.6.0.js"></script>
<script type="text/javascript" src="https://res.wx.qq.com/t/wx_fed/weui.js/res/1.2.13/weui.min.js"></script>
<script src="/static/js/jquery-2.1.0.min.js"></script>
<script src="/static/js/public/public.js"></script>
<script>
  // $("#hb_popup").show()
  var loading = weui.loading("加载中");
  // loading.hide();

  tj_public.wxInit({
    wx_officail_account_id: 6,
    url: window.location.href,
  });

  var company_id = 180087;
  var cpid = tj_public.getCookie("label_code");
  var uid = tj_public.getCookie("TJWXUSR_" + company_id + "_0");
  var pkg = tj_public.getCookie("package");
  
  var pid = "";

  wx.ready(function () {
    tj_public.getAddress(function (lat, lng) {
      getInfo(lat, lng);
    });
    if (pkg === "3") {
      return;
    }
    var uuid = tj_public.getUuid(8, 16);
    tj_public.configLaunchWeappBtn({
      el: "launch-btn",
      username: "gh_4290b605146b",
      extraData: {
        cpid,
        uid,
        uuid,
        os: "davis",
      },
      onLaunch: function () {
        tj_public.checkMiniprogramAIStatus(
          {
            label_code: cpid,
            consumer_id: uid,
            uuid,
          },
          function (state) {
            if (state == 1) {
              access();
            }
          }
        );
      },
    });


    if (pid == "9326" || pid == "9306" || pid == "9305" || pid == "9090" || pid == "9091" || pid == "8963" || pid == "11709" || pid == "9116" || pid == "8989" || pid == "8988" || pid == "11708" || pid == "9114" || pid == "8984" || cpid == "717993323427") {
      $("#hb_popup").show()
    }

  });
  wx.error(function (res) {
    getInfo(0, 0);
  });

  $.ajax({
    type: 'get',
    url: 'https://tjfnew.china315net.com/ajax/video_url.ashx?videoid=808dcac7903d71efbfe05017f0f90102&json=1',
    success: function (result) {
      var res = JSON.parse(result);
      $("#container").html('<video id="video" controls="controls" poster="' + res.CoverURL + '" width="100%"><source type="video/mp4" src="' + res.playUrl + '"></video>');
    }, error: function () {
    }
  })

  if (pkg === "3") {
    $("#aidiv").hide();
  }

  function access() {
    $("#aidiv").hide();
    $(".checkresult").show();
  }

  function getInfo(lat, lng) {
    $.ajax({
      url: "/wx/label/scan_record/",
      data: {
        lat,
        lng,
        uid,
        compid: company_id,
        fwcode: cpid,
      },
      success: function (res) {
        loading.hide();
        if (res.bcode) {
          $("#cpidSpan").text(res.bcode);
        } else {
          $("#cpidSpan").text(res.code);
        }

        $("#queryNum").text(res.cnt);
        $("#firstTime").text(res.tm_1st);
        $("#labelImg").attr("src", res.img);
        pid = res.product_id;
        if (res.product_name) {
          $("#pzmc").text(res.product_name).parent().show();
        }
        if (res.agent_name) {
          $("#shdw").text(res.agent_name).parent().show();
        }
        var agent_id = res.agent_id;
        if (agent_id) {
          $.ajax({
            url: '/company/detail/',
            data: {
              id: agent_id
            },
            success: function (company) {
              console.log(company);
              console.log(company.areas.length);
              if (company.areas.length > 0) {
                $("#xsqy").text(company.areas.join(',')).parent().show();
              }
            }
          })
        }
      },
      error: function () {
        loading.hide();
        weui.alert("网络超时！");
      },
    });
  }


  $("#back").on('click', function () {
    $("#hb_popup").hide()
  });
  $("#know").on('click', function () {
    $("#hb_popup").hide()
  });
  $("#requesthb").on('click', function () {
    // requestActivity();
    $("#cover_page").hide()
    $("#award_page").fadeIn()
  });
  $("#gethb").on('click', function () {
    // getAward();
    $("#award_page").hide()
    $("#get_page").fadeIn()
  });
  $("#rules").on('click', function () {
    $(".hb_page").hide()
    $("#hb_popup").show()
    $("#rules_page").show()
  });
  $("#record").on('click', function () {
    $(".hb_page").hide()
    $("#hb_popup").show()
    $("#record_page").show()
  });

  var winner_id = ''
  var award = {}
  var records = []
  function requestActivity(lat, lng) {
    tj_public.showLoading();
    $.ajax({
      url: '/wx/ajax/get_activity/',
      data: { company_id: 180087, consumer_id: '{{uid}}' },
      success: function (res) {
        if (res.data.e === "") {
          tj_public.hideLoading();
          if (res.data.award.code == 200) {
            const data = res.data.award.data;
            winner_id = res.data.award.winner_id;
            award = {
              id: winner_id,
              awid: data.award_id,
              award_name: data.name,
              award_img: data.photo,
            };
            $("#award_img").attr("src", data.photo);
            $("#cover_page").hide()
            $("#award_page").fadeIn()
          } else {
            weui.alert(res.data.award.reason);
            // $("#award_page").hide()
          }
        } else {
          tj_public.hideLoading();
          weui.alert(res.data.e);
        }
      }, error: function () {
        alert('网络超时！')
        tj_public.hideLoading();
      }
    })
  }
  function getAward() {
    tj_public.showLoading();
    $.ajax({
      url: '/sales/ajax/winner/redeem/',
      data: { winner_id: '{{winner_id}}' },
      success: function (res) {
        if (res) {
          if (res.data && res.data.e === "") {
            $("#get_page").fadeIn()
          } else if (res.data.e) {
            alert(res.data.e);
          } else {
            alert("网络超时！请稍后再试！");
          }
          tj_public.hideLoading();
        }
      }, error: function () {
        alert('网络超时！')
        tj_public.hideLoading();
      }
    })
  }
  function requestUserWinner() {
    tj_public.showLoading();
    $.ajax({
      url: '/wx/consumer/winner/record/',
      data: { consumer_id: '{{uid}}', company_id: 180087, activity_id: 224 },
      success: function (res) {
        if (res.data.e === "") {
          records = res.data.records;
          for (var r of records) {
            var html = '';
            html += `
                    `
            $("#record_page").fadeIn();
            $("#record_list").html(html);
          }
          tj_public.hideLoading();
        }
      }, error: function () {
        alert('网络超时！')
        tj_public.hideLoading();
      }
    })
  }

  $('.weui-tabbar__item').on('click', function () {
    $(this).addClass('weui-bar__item_on').siblings('.weui-bar__item_on').removeClass('weui-bar__item_on');
    $('.page').hide();
    document.body.scrollTop = document.documentElement.scrollTop = 0;
    $('.page').animate({ scrollTop: 0 });
  });
  $('#cx').on('click', function () {
    $("#title-img").attr("src", "/static/180087/img/防伪查询.png");
    $('#fw').show();
  });
  $('#sy').on('click', function () {
    $("#title-img").attr("src", "/static/180087/img/溯源信息.png");
    $('#sycx').show();
  });
  $('#qy').on('click', function () {
    $("#title-img").attr("src", "/static/180087/img/gs.png");
    $('#qyjs').show();
  });
</script>

</html>